﻿using UnityEngine;
using System.Collections;
using System.Collections.Generic;

public class SkeletonEmulator : MonoBehaviour {
    //==============================================================================
    public GameObject jointPrefab;
    public float scale = 10;

    private KinectSkeleton kinect;
    private Dictionary<JointType, GameObject> joints;

    //==============================================================================
    void Start()
    {
        kinect = GameObject.FindGameObjectWithTag("Kinect").GetComponent<KinectSkeleton>();
        joints = new Dictionary<JointType, GameObject>();
	
	}

    //==============================================================================
    void Update()
    {
        //Get first tracked player
        PlayerSkeleton player = null;
        foreach (PlayerSkeleton p in kinect.players.Values) { if (p.isTracked) { player = p; break; } }
        if (player == null) return;

        foreach (SkeletonJoint joint in player.joints.Values)
        {
            if (!joints.ContainsKey(joint.type)) { joints.Add(joint.type, Instantiate(jointPrefab, new Vector3(), new Quaternion()) as GameObject); }
            joints[joint.type].transform.position = joint.position * scale;

        }
	
	}

}
